ru.bitel.bgbilling.modules.inet.accounting.event

## Class InetAccountingEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.PoolEvent
    - - ru.bitel.bgbilling.modules.inet.accounting.event.InetAccountingEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InetAccountingEvent
      extends PoolEvent

  Событие о состоянии сессии. Приходит всем серверам, за исключением того, кто его отправил
  AccountingSession start|stop. Генерируется для RADIUS/DHCP сессий. Update генерируется также по RADIUS/DHCP-пакету.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TYPE_START`
    `static int` | `TYPE_STOP`
    `static int` | `TYPE_UPDATE`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InetAccountingEvent()`
    `` | `InetAccountingEvent(PoolEventPublisher<?> publisher, int contractId, InetConnection connection, long sessionId, int type, java.util.Date accountingTime)`
    `` | `InetAccountingEvent(PoolEventPublisher<?> publisher, int contractId, InetConnection connection, long sessionId, int type, java.util.Map<java.lang.Integer,TrafficAmount> counterTraffics, java.util.Date accountingTime)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getAccountingTime()`
    `InetConnection` | `getConnection()`
    `java.util.Map<java.lang.Integer,TrafficAmount>` | `getCounterTraffics()`
    `long` | `getSessionId()`
    `int` | `getType()`
    `protected void` | `prepareMessage(javax.jms.Message message)`
    `protected void` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_START

          public static final int TYPE_START

      See Also:
        Constant Field Values

    - #### TYPE_STOP

          public static final int TYPE_STOP

      See Also:
        Constant Field Values

    - #### TYPE_UPDATE

          public static final int TYPE_UPDATE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InetAccountingEvent

          protected InetAccountingEvent()

    - #### InetAccountingEvent

          public InetAccountingEvent(PoolEventPublisher<?> publisher,
                                     int contractId,
                                     InetConnection connection,
                                     long sessionId,
                                     int type,
                                     java.util.Date accountingTime)

    - #### InetAccountingEvent

          public InetAccountingEvent(PoolEventPublisher<?> publisher,
                                     int contractId,
                                     InetConnection connection,
                                     long sessionId,
                                     int type,
                                     java.util.Map<java.lang.Integer,TrafficAmount> counterTraffics,
                                     java.util.Date accountingTime)

  - ### Method Detail

    - #### prepareMessage

          protected void prepareMessage(javax.jms.Message message)
                                 throws javax.jms.JMSException

      Overrides:
        `prepareMessage` in class `Event`
      Throws:
        `javax.jms.JMSException`

    - #### getConnection

          public InetConnection getConnection()

    - #### getSessionId

          public long getSessionId()

    - #### getType

          public int getType()

    - #### getCounterTraffics

          public java.util.Map<java.lang.Integer,TrafficAmount> getCounterTraffics()

    - #### getAccountingTime

          public java.util.Date getAccountingTime()

    - #### toString

          protected void toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `Event`